* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Titillium Web", sans-serif;
}

body {
  width: 100%;
  height: 100vh;
  background: #007c6b url("../imgs/bg.svg") no-repeat center;
  background-size: cover;
  background-size: 150%;
  color: #fff;
  max-width: 600px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.logo {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
}

.logo img {
  width: 200px;
  height: auto;
}

a {
  color: #fff;
  text-decoration: none;
}

main {
  display: flex;
  align-items: center;
}

.text {
  width: 100%;
  max-width: 300px;
  margin-right: 3rem;
}

.img {
  width: 100%;
  max-width: 310px;
  height: auto;
}

input[type="email"] {
  width: 100%;
  height: 48px;
  border-radius: 4px;
  border: none;
  text-indent: 16px;
  font-size: 0.875rem;
  color: #777;
}

input[type="email"]:focus {
  border: 1px solid #00575b;
  outline: none !important;
  box-shadow: 0 0 12px 4px #00575b;
}

.politicaPrivacidade {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem 0;
}

.politicaPrivacidade label {
  margin-left: 16px;
}

.boxBtn {
  display: flex;
  justify-content: center;
}

input[type="checkbox"] {
  width: 24px;
  height: 24px;
  margin: 1rem 0;
  text-align: center;
}

.link {
  text-decoration: underline;
  color: #88c9f9;
}

button {
  width: 100%;
  max-width: 300px;
  height: 48px;
  border-radius: 4px;
  border: none;
  cursor: pointer;
  background: #fdc73e;
  color: #212121;
  font-weight: bold;
  font-size: 0.875rem;
  transition: all 0.3s;
}

button:hover {
  box-shadow: 0 0 10px 1px #00575b;
}

button:disabled {
  background-color: #e7e7e7;
  cursor: not-allowed;
  color: #777;
  font-weight: normal;
}

footer .social ul {
  display: flex;
  list-style: none;
  gap: 2rem;
  justify-content: center;
}

/* Página Confirmação/Sucesso */

.confirmacao {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.animacao {
  width: 100%;
  max-width: 320px;
}

.confirmacao p {
  text-align: center;
  width: 100%;
  max-width: 450px;
  margin-bottom: 2rem;
}

/* Media Queries - Celulares */

@media (max-width: 540px) {
  body {
    height: 100%;
    background-size: 650%;
  }

  main {
    flex-direction: column;
  }

  .logo {
    align-items: center;
    padding: 1.5rem 0;
  }

  .img {
    max-width: 100%;
    width: 200px;
    padding: 16px 0;
  }

  .text {
    text-align: center;
    margin-right: 0;
  }

  form {
    flex-direction: column;
  }

  input[type="email"] {
    max-width: 300px;
    margin: 0 auto;
    font-size: 1rem;
    display: flex;
  }

  .politicaPrivacidade {
    margin: 1.2rem;
  }

  button {
    max-width: 300px;
    margin: 0 auto;
    font-size: 1rem;
  }

  section {
    margin-bottom: 4rem;
  }

  .confirmacao {
    text-align: center;
    padding-top: 2rem;
    margin-bottom: 3rem;
  }

  .animacao {
    width: 100%;
    max-width: 200px;
  }

  .confirmacao h1 {
    width: 100%;
    max-width: 300px;
  }

  .confirmacao h3 {
    width: 100%;
    max-width: 240px;
    margin-top: 1rem;
  }

  .confirmacao p {
    text-align: center;
    width: 100%;
    max-width: 260px;
    margin-bottom: 2rem;
  }
}

/* Media Queries 1024px */

@media (max-width: 1024px) {
  body {
    background-size: 550%;
    background-position: top top;
  }
}
